/*
Тестировалось на Arduino IDE 1.8.5
Дата тестирования 07.02.2021г.
*/

#include "max6675.h"               // Подключаем библиотеку max6675

int thermoSCK = 2;                 // Указываем к какому порту подключен вывод SCK
int thermoCS = 3;                  // Указываем к какому порту подключен вывод CS
int thermoSO = 4;                  // Указываем к какому порту подключен вывод SO

MAX6675 thermocouple(thermoSCK, thermoCS, thermoSO);

void setup() 
{
  Serial.begin(9600);               // Открытие последовательного порта на скорости 9600
  Serial.println("MAX6675 test");   // Отправка текста 
  delay(500);                       // Пауза
}

void loop() 
{
   Serial.print("C = ");                           // Отправка текста в последовательный порт
   Serial.println(thermocouple.readCelsius());     // Чтение и отправка температуры в последовательный порт
   Serial.print("F = ");                           // Отправка текста в последовательный порт
   Serial.println(thermocouple.readFahrenheit());  // Чтение и отправка температуры в последовательный порт
   delay(1000);                                    // Пауза
}
